/* libiso8601/src/libiso8601/functions.h
 *
 *  (c)2006, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/* c_library.c */
void iso8601_now(struct iso8601_date* date, struct iso8601_details* details);
void iso8601_from_ts(struct iso8601_date* date, const struct timespec* ts);
void iso8601_to_ts(struct timespec* ts, const struct iso8601_date* date);
void iso8601_from_time_t(struct iso8601_date* date, const time_t* t);
void iso8601_to_time_t(time_t* t, const struct iso8601_date* date);

/* calc.c */
int iso8601_isleap(int year);
void iso8601_to_cal(int* year, int* month, int* day, const struct iso8601_date* date);
int iso8601_from_cal(struct iso8601_date* date, int year, int month, int day);
void iso8601_to_ord(int* year, int* oday, const struct iso8601_date* date);
int iso8601_from_ord(struct iso8601_date* date, int year, int oday);
void iso8601_to_week(int* year, int* week, int* wday, const struct iso8601_date* date);
int iso8601_from_week(struct iso8601_date* date, int year, int week, int wday);
void iso8601_to_clocktime(int* hour, int* min, int* sec, const struct iso8601_date* date);
int iso8601_from_clocktime(struct iso8601_date* date, int hour, int min, int sec);

/* print.c */
void iso8601_print(char* str, int amt, const struct iso8601_date* date, 
    const struct iso8601_details* details);

/* manip.c */
int iso8601_lt(const struct iso8601_date* d1, const struct iso8601_date* d2);
int iso8601_lte(const struct iso8601_date* d1, const struct iso8601_date* d2);
int iso8601_eq(const struct iso8601_date* d1, const struct iso8601_date* d2);
void iso8601_add_seconds(struct iso8601_date* date, long seconds);
void iso8601_add_nanoseconds(struct iso8601_date* date, long nano);

/* leap.c */
int iso8601_seconds_leap(const struct iso8601_date* date);
int iso8601_valid_leap(const struct iso8601_date* date);
int iso8601_leap_elapsed(const struct iso8601_date* start, const struct iso8601_date* end);

/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
